Please merge iptables 1.4.10-1 (main) from debian unstable (main)

Bug #671652 reported by Lorenzo De Liso on 2010-11-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
iptables (Ubuntu)
Wishlist
Jamie Strandboge
libnfnetlink (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: iptables

iptables (1.4.10-1) unstable; urgency=low

   * New upstream release

 -- Laurence J. Lane <email address hidden> Fri, 29 Oct 2010 12:29:39 -0400

iptables (1.4.9-1) unstable; urgency=low

   * New upstream release
   * remove extra iptables-xml.8. Reported by David Prevot. Thanks.
     Closes: #590619

 -- Laurence J. Lane <email address hidden> Sat, 07 Aug 2010 18:24:17 -0400

iptables (1.4.8-3) unstable; urgency=low

   * added missing iptables-xml symlink and man page. Reported by Carl
     Fürstenberg and others. Closes: #589059

 -- Laurence J. Lane <email address hidden> Fri, 16 Jul 2010 16:56:20 -0400

iptables (1.4.8-2) unstable; urgency=low

   * rebuild with clean source tree, Closes: #582448
   * updated upstream changelog to 1.4.8

 -- Laurence J. Lane <email address hidden> Sat, 12 Jun 2010 13:26:16 -0400

iptables (1.4.8-1) unstable; urgency=low

   * New upstream release
   * Fixed iptables-apply DEFAULT_FILE variable. Problem reported by
     fixed by StalkR. Thanks. Closes: #582448
   * Added versioned build dependency on libtool. Problem reported by Pawel
     Rozanski and Flavio Silveir. Thanks. Closes: #567066

 -- Laurence J. Lane <email address hidden> Mon, 31 May 2010 08:44:28 -0400

iptables (1.4.6-2) unstable; urgency=low

   * corrected debian changelog entry for 1.4.6-1
   * updated upstream changelog. Problem reported by Klaus Ethgen. Thanks.
     Closes: 561236

 -- Laurence J. Lane <email address hidden> Sun, 20 Dec 2009 16:09:02 -0500

iptables (1.4.6-1) unstable; urgency=low

   * New upstream release
   * Fixes ignored mask with replace rule. Reported by Hugh McDonald and
     and fixed upstream. Thanks. Closes: #560910
   * Fixes single ip address use with iprange. Reported by Sergey Kovalev
     and fixed upstream. Thanks. Closes: #547139
   * Fixes TCP MSS clamp documentation. Reported and fixed by Tim Small.
     Added upstream. Thanks. Closes: #551272

 -- Laurence J. Lane <email address hidden> Mon, 14 Dec 2009 12:45:24 -0500

iptables (1.4.5-1) unstable; urgency=low

   * New upstream release
   * Bumped Standards Version to 3.8.3
   * Moved to source format 3.0 (quilt)
   * s/macthes/matches/ in iptables(8). Reported by Trent W. Buck and
     fixed upstream. Closes: #539101
   * s/packages/package in iptables-dev descrition. Reported by Pascal
     De Vuyst. Thanks. Closes: #557369
   * Fixed iptables-apply default rule problem reported by StalkR. Fixed
     upstream. Thanks. Closes: #547734

 -- Laurence J. Lane <email address hidden> Sat, 28 Nov 2009 16:41:04 -0500

Related branches

Lorenzo De Liso (blackz) wrote :
Changed in iptables (Ubuntu):
importance: Undecided → Wishlist
Changed in iptables (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
status: New → Triaged
Changed in iptables (Ubuntu):
status: Triaged → In Progress
Jamie Strandboge (jdstrand) wrote :

Lorenzo,

Thanks for your debdiff! Overall the patch looks ok except for:
* you have this in the changelog, but it is already applied upstream: "Replaced ipt_DSCP.h by xpt_DSCP.h in ipt_ECN.h and ipt_echn.h (LP: #600195)"
* you dropped the --reap patch. Everything wasn't actually added in 1.4.8 and the patch for 1.4.4 had to be updated
* the changes for 0901-build-libipq_pic.a.patch weren't right for this build. We need to use 'la' now.
* when making changes to debian/*.install files, I like to add them to the end of the file where it makes sense, that way it is clearer what came from Debian and what came from Ubuntu (eg, the howtos were prepended to iptables.install and iptables-dev.install, but it is preferred to be appended

I had already had a merge prepared for 1.4.9 when you filed the bug that had these changes along with several other packaging updates for making the Ubuntu delta easier to maintain. I will take your debdiff and make my changes with my next upload (giving you credit for your work of course). Unfortunately, iptables must now be built with libnfnetlink-dev, but this is in universe and must be promoted before upload.

Tested local build and it works fine. I enabled ufw and rebooted and the firewall is still on. I also ran the root tests in ufw which exercises various parts of iptables (though not all by any means). I also verified the html documentation all works right. The source package (without changes) is here: http://people.canonical.com/~jamie/iptables/.

Jamie Strandboge (jdstrand) wrote :

Added libnfnetlink task since it needs to be promoted to main.

Changed in libnfnetlink (Ubuntu):
status: New → Triaged
milestone: none → natty-alpha-1
Changed in iptables (Ubuntu):
milestone: none → natty-alpha-1
tags: added: patch
Jamie Strandboge (jdstrand) wrote :

Invalidating the libnfnetlink task. I opened MIR bug https://bugs.launchpad.net/ubuntu/+source/libnfnetlink/+bug/675806.

Changed in libnfnetlink (Ubuntu):
status: Triaged → Invalid
Jamie Strandboge (jdstrand) wrote :

libnfnetlink was approoved for main. I have adjusted the overrides and will upload iptables now.

Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package iptables - 1.4.10-1ubuntu1

---------------
iptables (1.4.10-1ubuntu1) natty; urgency=low

  [ Lorenzo De Liso ]
  * Merge from debian unstable (LP: #671652), remaining changes:
    - Don't fail to run iptables-save if iptables module isn't loaded.
    - Revert changes between 1.4.1.1-3 and 1.4.1.1-4, thus bringing back
      the howtos.
    - Added linuxdoc-tools to Build-Depends
    - Modified debian/iptables{,-dev}.install to match DM syntax
      (removed debian/tmp)
    - Added -fno-strict-aliasing -Werror switches to regular_CFLAGS
      for catching errors early
    - Removed unused TC_NUM_RULES() and TC_GET_RULE()
  * debian/patches/03-compilation-error.patch: updated
  * debian/patches/0600-makefile_jedi_handwaving.patch: updated
  * Dropped changes:
    - debian/patches/0902-docs-version-reference.diff: modifies files inside
      the debian/ directory and hence is not needed

  [ Jamie Strandboge ]
  * debian/patches/9000-howtos.patch:
    - combine 0102-howtos.patch and 0103-sgml_errors.patch into this patch
      and apply after the Debian patches for easier maintenance
    - add DEP-3 comments
  * debian/patches/9001-build-libipq_pic.la.patch:
    - Build libipq_pic.la with -fPIC
    - add DEP-3 comments
  * debian/iptables-dev.install: install lib/*.la in usr/lib
  * merge debian/patches/9002-xt_recent-reap.patch:
    - support for the xt_recent filter --reap switch (refreshed and updated)
    - add DEP-3 comments
  * debian/patches/9003-compilation-error.patch:
    - renamed 03-compilation-error.patch as 9003-compilation-error.patch
    - apply after Debian patches for easier maintenance
    - add DEP-3 comments
  * debian/iptables.doc-base.{nat|packet-filter}: update for 2.6
  * Dropped changes:
    - Replaced ipt_DSCP.h by xpt_DSCP.h in ipt_ECN.h and ipt_echn.h (applied
      upstream)
    - 9001-build-libipq_pic.a.patch (using la instead)

iptables (1.4.10-1) unstable; urgency=low

  * New upstream release

iptables (1.4.9-1) unstable; urgency=low

  * New upstream release
  * remove extra iptables-xml.8. Reported by David Prevot. Thanks.
    Closes: #590619

iptables (1.4.8-3) unstable; urgency=low

  * added missing iptables-xml symlink and man page. Reported by Carl
    Fürstenberg and others. Closes: #589059

iptables (1.4.8-2) unstable; urgency=low

  * rebuild with clean source tree, Closes: #582448
  * updated upstream changelog to 1.4.8

iptables (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Fixed iptables-apply DEFAULT_FILE variable. Problem reported by
    fixed by StalkR. Thanks. Closes: #582448
  * Added versioned build dependency on libtool. Problem reported by Pawel
    Rozanski and Flavio Silveir. Thanks. Closes: #567066

iptables (1.4.6-2) unstable; urgency=low

  * corrected debian changelog entry for 1.4.6-1
  * updated upstream changelog. Problem reported by Klaus Ethgen. Thanks.
    Closes: 561236

iptables (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Fixes ignored mask with replace rule. Reported by Hugh McDonald and
    and fixed upstream. Thanks. Closes: #560910
  * Fixes single ip address use with iprange. Reported by Sergey Kovalev
...

Read more...

Changed in iptables (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers